using System;
using System.Collections.Generic;

namespace SyncfusionSchedulerDeleteBug.DataAccess.Events
{
    public interface IEventsDal
    {
        List<CalendarEventInfoDto> GetCalendarEvents(DateTime startdate, DateTime enddate);
        CalendarEventInfoDto GetCalendarEvent(int Id);

        void Insert(CalendarEventEditDto data);
        CalendarEventEditDto Fetch(int Id);
        void Update(CalendarEventEditDto data);
        void Delete(int Id);
    }
}
